> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Fetches all users in the given workspace



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/users
openapi: 3.1.0
info:
  title: Xenia Team API - Get Users
  description: Returns a list of users for a specific workspace
  version: 1.0.0
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/users:
    get:
      tags:
        - Users
      summary: Get Users
      description: Fetches all users in the given workspace
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The UUID of the workspace
      responses:
        '200':
          description: List of users
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
                  extra_meta:
                    type: object
        '400':
          description: Bad Request - Invalid workspace ID
        '401':
          description: Unauthorized - Missing or invalid authentication
        '403':
          description: Forbidden - Insufficient permissions
        '404':
          description: Not Found - Workspace does not exist
        '500':
          description: Internal Server Error
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        firstName:
          type: string
        lastName:
          type: string
        fullName:
          type: string
        emailId:
          type: string
        phoneNo:
          type: string
        photo:
          type: string
          format: uri
        timezone:
          type: string
        createdAt:
          type: string
          format: date-time
        deletedAt:
          type:
            - string
            - 'null'
          format: date-time
        roleId:
          type: string
          format: uuid
        defaultLocationId:
          type: string
          format: uuid
        role:
          type: object
          properties:
            id:
              type: string
              format: uuid
            title:
              type: string
            description:
              type: string
            order:
              type: integer
            permissions:
              type: object
              additionalProperties:
                type: boolean
        locations:
          type: array
          items:
            type: object
            properties:
              locationId:
                type: string
                format: uuid
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
      description: Client API key for authentication
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: Client secret for authentication

````